fd2pascal(1)

NAME
fd2pascal - Free Pascal forms description to pascal program converter

SYNOPSIS
fd2pascal [-compensate] [-altformat] [-main] [-callback] filename

DESCRIPTION
fd2pascal reads a XForms designer file ( .fd ) and creates pascal code to create the form described in the file. The pascal code is written to a file with the same name as the input file, but with extension .pp if a file with that name already exists, then it will be renamed to a file with the extension .bak appended.

OPTIONS
fd2pascal has a small number of options to control its behaviour:

-altformat
    By default, a record type is emitted for the form definition, with a field for each widget (object) on the form. The alternate form declares a global variable for the form and each widget on the form.

-compensate
    If this option is given then a call to fl_adjust_form_size is emitted after the form is created.

-callback
    If this option is given, then a callback procedure is generated for each widget on the form.

-main
    By default, a unit is created which can be included in the uses clause of a program. If this option is specified, a program file is emitted instead.

SEE ALSO

    ppc386(1)